#include "windows.h"

#ifdef __cplusplus
extern "C" {
#endif

BOOL __declspec(dllimport) WINAPI SFileOpenArchive(const char* path, DWORD priority, DWORD flags, HANDLE* archive);
BOOL __declspec(dllimport) WINAPI SFileOpenFile(HANDLE archive, const char* path, DWORD scope, HANDLE* file);
BOOL __declspec(dllimport) WINAPI SFileReadFile(HANDLE file, void* buffer, DWORD size, DWORD* read, LPOVERLAPPED overlapped);
DWORD __declspec(dllimport) WINAPI SFileGetFileSize(HANDLE file, DWORD* size_high);
BOOL __declspec(dllimport) WINAPI SFileCloseArchive(HANDLE archive);
BOOL __declspec(dllimport) WINAPI SFileCloseFile(HANDLE file);
void * __declspec(dllimport) WINAPI SMemAlloc(size_t size, const char *source_file, int source_line, int flags);
void * __declspec(dllimport) WINAPI SMemRealloc(void* memory, size_t size, const char *source_file, int source_line, int flags);
BOOL __declspec(dllimport) WINAPI SMemFree(void* memory, const char* source_file, int source_line, int flags);
int __declspec(dllimport) WINAPI SStrToInt(const char* s);
DWORD __declspec(dllimport) WINAPI SStringHash(const char* s);

#ifdef __cplusplus
} // extern "C"
#endif
