#pragma once

#include "wc3/net_session.hpp"

class CNetMessageBase: public CNetEventBase {
public:
	unsigned char net_message_id;
	unsigned char player_id;
};
class CNetMessageGameBase: public CNetMessageBase {};

enum class CHAT_MODE {
	ALL,
	ALLIES,
	REFEREE,
	PLAYER_RED,
	PLAYER_BLUE,
	// ...
};

class CNetMessageGameChat: public CNetMessageGameBase {
public:
	char message[128];
	CHAT_MODE mode;

	CNetMessageGameChat(const char* message, CHAT_MODE chat_mode);
};

const int NET_MESSAGE_EVENT_BASE_ID = 0xB0000;
const int NET_MESSAGE_GAME_CHAT = 32;
