#pragma once

#include "wc3/string.hpp"
#include "wc3/selection_war3.hpp"
#include "wc3/agent_war3.hpp"
#include <cstddef>

using CAlliances = CAgent;
using CTechTree = void;

using PlayerNumber = unsigned short;

enum class MAP_CONTROL {
	USER = 0x0,
	COMPUTER = 0x1,
	RESCUABLE = 0x2,
	NEUTRAL = 0x3,
	CREEP = 0x4,
	NONE = 0x5,
};

class CPlayerWar3: public CAgentWar3 {
public:
	RCString name;
	PlayerNumber index;
	CSelectionWar3 *selection;
	CAgentPtr<CAlliances> alliances;
	int integers_count;
	Integer integers[26];
	int field1E0;
	int gold_tax_rates;
	int field1E8;
	int field1EC;
	int field1F0;
	int field1F4;
	int field1F8;
	int field1FC;
	int field200;
	int field204;
	int field208;
	int selected_units_;
	int field210;
	int field214;
	int lumber_tax_rates;
	int field21C;
	int field220;
	int field224;
	int field228;
	int field22C;
	int field230;
	int field234;
	int field238;
	int field23C;
	int field240;
	int field244;
	int field248;
	int field24C;
	int field250;
	int field254;
	int field258;
	int race_preference;
	int race_id;
	int color_id;
	MAP_CONTROL controller;
	int difficulty;
	int slot_state;
	int start_location_id;
	int team_id;
	int field27C;
	int field280;
	int field284;
	int field288;
	int field28C;
	int field290;
	int field294;
	FloatMini FloatMini1;
	FloatMini FloatMini2;
	BOOL is_referee;
	TSGrowableArray<CUnit*> UnitArray7;
	TSGrowableArray<IntegerMini> IntegerMiniArray7;
	int field2CC;
	CTechTree *tech_tree;
	int field2D4_key1_;
	int field2D8_key2_;
	int field2DC;
	int field2E0;
	int field2E4;
	int field2E8;
	int field2EC;
	int field2F0_key1_;
	int field2F4_key2_;
	int field2F8;
	CAgentTimer timer2FC;
	RCString string310;
	int field31C;
	int field320;
	int field324;
	int field328;
	int field32C;
	int field330;
	int field334;
};
