#include "wc3/agent.hpp"

#include "wc3/game_base.hpp"

CDataStore& operator << (CDataStore& store, const NetTag& tag) {
	return store << tag.presence << tag.birth;
}

bool CAgent::is_valid() {
	return CAgent_IsValid(this);
}

static uintptr_t CAgent_IsValid_offset = get_offset(
	"CAgent::IsValid",
	{
		{GameVersion::v1_26a, 0x0418A0},
		{GameVersion::v1_27a, 0x037810},
	}
);
TCAgent_IsValid CAgent_IsValid = (TCAgent_IsValid)(get_game_base() + CAgent_IsValid_offset);

uint32_t CAgent::get_type_id() {
	return static_cast<_VMT*>(_vtable)->get_type_id(this);
}
