#include "wc3/gamewar3.hpp"

#include "wc3/game_base.hpp"

static uintptr_t CGameWar3_Instance_offset = get_offset(
	"CGameWar3::Instance",
	{
		{GameVersion::v1_26a, 0xAB65F4},
		{GameVersion::v1_27a, 0xBE4238},
	}
);
CGameWar3** _p_global_variable_with_gamewar3_instance = (CGameWar3**)(get_game_base() + CGameWar3_Instance_offset);

CPlayerWar3* CGameWar3::local_player() const {
	return players[local_player_id];
}

CGameWar3* CGameWar3::instance() {
	return *_p_global_variable_with_gamewar3_instance;
}
