#include "wc3/net_provider.hpp"

#include "wc3/wc3props.hpp"

void NetClient::send(const void* data, size_t size) {
	static_cast<VMT*>(vtable)->send(this, data, size);
}

NetProvider* NetProvider::instance() {
	return static_cast<NetProvider*>(get_wc3_prop(Wc3PropSlot::NET_PROVIDER));
}
