#pragma once

#include <cstddef>

template<typename T>
class TSArray {
public:
	size_t _capacity;
	size_t _size;
	T* _items;

	T& operator [] (size_t index) const {
		return this->_items[index];
	}

	size_t size() const {
		return _size;
	}
};

template<typename T>
class TSGrowableArray: public TSArray<T> {
public:
	size_t _grow_step;
};
