#pragma once

#include "wc3/string.hpp"
#include "wc3/gui.hpp"
#include "wc3/agent_war3.hpp"

class CMultiboardWar3;

class CMultiboard: public CFrame {
public:
	CMultiboardWar3 *multiboard_war3;
	RCString string16C;
	DWORD field178;
	DWORD field17C;
	DWORD field180;
	RCString default_icon;
	float field190;
	float field194;
	CLayer *field198;
	DWORD field19C;
	DWORD field1A0;
	DWORD button1A4_;
	CLayer *field1A8;
	DWORD field1AC;
	DWORD field1B0;
	DWORD field1B4;
	BOOL minimized;

	void set_minimized(bool state);
};

typedef void (__thiscall* TCMultiboard_Minimize)(CMultiboard* self);
typedef void (__thiscall* TCMultiboard_Maximize)(CMultiboard* self);
extern TCMultiboard_Minimize CMultiboard_Minimize;
extern TCMultiboard_Maximize CMultiboard_Maximize;

class CMultiboardWar3: public CAgentWar3 {
public:
	CMultiboard *multiboard_frame;
	BOOL visible;
	BOOL minimized;
	DWORD field30;
	DWORD field34;
	RCString Title;
	DWORD TitleColor;
	DWORD RowCount;
	DWORD ColumnCount;
};
