#pragma once

#include "wc3/linkedlist.hpp"
#include "wc3/data_recycler.hpp"
#include <synchapi.h>

class NetClient {
public:

	struct VMT {
		void (__thiscall *send)(NetClient* self, const void* data, size_t size);
		int (__thiscall *method04)(NetClient* self);
		int (__thiscall *method08)(NetClient* self);
		int (__thiscall *method0C)(NetClient* self);
		int (__thiscall *method10)(NetClient* self);
		int (__thiscall *method14)(NetClient* self);
		int (__thiscall *method18)(NetClient* self);
		int (__thiscall *method1C)(NetClient* self);
		int (__thiscall *method20)(NetClient* self);
		int (__thiscall *method24)(NetClient* self);
		int (__thiscall *method28)(NetClient* self);
		int (__thiscall *method2C)(NetClient* self);
		int (__thiscall *method30)(NetClient* self);
		int (__thiscall *method34)(NetClient* self);
		int (__thiscall *method38)(NetClient* self);
		int (__thiscall *method3C)(NetClient* self);
		int (__thiscall *method40)(NetClient* self);
		int (__thiscall *method44)(NetClient* self);
	};

	void* vtable;
	int game_handle;

	void send(const void* data, size_t size);
};

class CDataStoreRecycler: public CDataRecycler {};

class NetProvider {
public:
	struct VMT {
		int (__thiscall *method00)(NetProvider* self);
		int (__thiscall *method04)(NetProvider* self);
		int (__thiscall *method08)(NetProvider* self);
		int (__thiscall *method0C)(NetProvider* self);
		int (__thiscall *method10)(NetProvider* self);
		int (__thiscall *method14)(NetProvider* self);
		int (__thiscall *method18)(NetProvider* self);
		int (__thiscall *method1C)(NetProvider* self);
		int (__thiscall *method20)(NetProvider* self);
		int (__thiscall *method24)(NetProvider* self);
		int (__thiscall *get_ctx_idle_time_)(NetProvider* self);
		int (__thiscall *method2C)(NetProvider* self);
		int (__thiscall *method30)(NetProvider* self);
		int (__thiscall *method34)(NetProvider* self);
		int (__thiscall *method38)(NetProvider* self);
		int (__thiscall *method3C)(NetProvider* self);
		int (__thiscall *method40)(NetProvider* self);
		int (__thiscall *method44)(NetProvider* self);
		int (__thiscall *method48)(NetProvider* self);
		int (__thiscall *method4C)(NetProvider* self);
		int (__thiscall *method50)(NetProvider* self);
		int (__thiscall *method54)(NetProvider* self);
		int (__thiscall *method58)(NetProvider* self);
		int (__thiscall *method5C)(NetProvider* self);
		int (__thiscall *method60)(NetProvider* self);
		int (__thiscall *method64)(NetProvider* self);
		int (__thiscall *method68)(NetProvider* self);
		int (__thiscall *method6C)(NetProvider* self);
		int (__thiscall *method70)(NetProvider* self);
		int (__thiscall *method74)(NetProvider* self);
		int (__thiscall *method78)(NetProvider* self);
		int (__thiscall *method7C)(NetProvider* self);
		int (__thiscall *method80)(NetProvider* self);
		int (__thiscall *method84)(NetProvider* self);
		int (__thiscall *method88)(NetProvider* self);
		int (__thiscall *method8C)(NetProvider* self);
		int (__thiscall *method90)(NetProvider* self);
		int (__thiscall *method94)(NetProvider* self);
		int (__thiscall *method98)(NetProvider* self);
		int (__thiscall *method9C)(NetProvider* self);
		int (__thiscall *methodA0)(NetProvider* self);
	};

	void* vtable;
	int field04;
	int field08;
	int field0C;
	volatile int counter_;
	int evt_context_id;
	int field18;
	int field1C;
	int field20;
	int field24;
	int field28;
	int field2C;
	int field30;
	int field34;
	int field38;
	int field3C;
	int field40;
	int field44;
	int field48;
	int field4C;
	int field50;
	int field54;
	int field58;
	int field5C;
	int field60;
	int field64;
	int field68;
	int field6C;
	int field70;
	int field74;
	int field78;
	int field7C;
	int field80;
	int field84;
	int field88;
	int field8C;
	int field90;
	int field94;
	int field98;
	int field9C;
	int fieldA0;
	int fieldA4;
	int fieldA8;
	int fieldAC;
	int fieldB0;
	int fieldB4;
	int fieldB8;
	int fieldBC;
	int fieldC0;
	int fieldC4;
	int fieldC8;
	int fieldCC;
	int fieldD0;
	int fieldD4;
	int fieldD8;
	int fieldDC;
	int fieldE0;
	int fieldE4;
	int fieldE8;
	int fieldEC;
	int fieldF0;
	int fieldF4;
	int fieldF8;
	int fieldFC;
	int field100;
	int field104;
	int field108;
	int field10C;
	int field110;
	int field114;
	int field118;
	int field11C;
	int field120;
	int field124;
	int field128;
	int field12C;
	int field130;
	int field134;
	int field138;
	int field13C;
	int field140;
	int field144;
	int field148;
	int field14C;
	int field150;
	int field154;
	int field158;
	int field15C;
	int field160;
	int field164;
	int field168;
	int field16C;
	int field170;
	int field174;
	int field178;
	int field17C;
	int field180;
	int field184;
	int field188;
	int field18C;
	int field190;
	int field194;
	int field198;
	int field19C;
	int field1A0;
	int field1A4;
	int field1A8;
	int field1AC;
	int field1B0;
	int field1B4;
	int field1B8;
	int field1BC;
	int field1C0;
	int field1C4;
	int field1C8;
	int field1CC;
	int field1D0;
	int field1D4;
	int field1D8;
	int field1DC;
	int field1E0;
	int field1E4;
	int field1E8;
	int field1EC;
	int field1F0;
	int field1F4;
	int field1F8;
	int field1FC;
	int field200;
	int field204;
	int field208;
	int field20C;
	int field210;
	int field214;
	int field218;
	int field21C;
	int field220;
	int field224;
	int field228;
	int field22C;
	int field230;
	int field234;
	int field238;
	int field23C;
	int field240;
	int field244;
	int field248;
	int field24C;
	int field250;
	int field254;
	int field258;
	int field25C;
	int field260;
	int field264;
	int field268;
	int field26C;
	int field270;
	int field274;
	int field278;
	int field27C;
	int field280;
	int field284;
	int field288;
	int field28C;
	int field290;
	int field294;
	int field298;
	int field29C;
	int field2A0;
	int field2A4;
	int field2A8;
	int field2AC;
	int field2B0;
	NetClient *net_client;
	int field2B8;
	int field2BC;
	struct __attribute__((packed)) {
		unsigned short port;
		CRITICAL_SECTION lock_2C2;
		char map_extensions[2];
	};
	int field2DC;
	int field2E0;
	int field2E4;
	int field2E8;
	int field2EC;
	int field2F0;
	int field2F4;
	int field2F8;
	int field2FC;
	int field300;
	int field304;
	int field308;
	int field30C;
	int field310;
	int field314;
	int field318;
	int field31C;
	int field320;
	int field324;
	int field328;
	int field32C;
	int field330;
	int field334;
	int field338;
	int field33C;
	int field340;
	int field344;
	int field348;
	int field34C;
	int field350;
	int field354;
	int field358;
	int field35C;
	int field360;
	int field364;
	int field368;
	int field36C;
	int field370;
	int field374;
	int field378;
	int field37C;
	int field380;
	int field384;
	int field388;
	int field38C;
	int field390;
	int field394;
	int field398;
	int field39C;
	int field3A0;
	int field3A4;
	int field3A8;
	int field3AC;
	int field3B0;
	int field3B4;
	int field3B8;
	int field3BC;
	int field3C0;
	int field3C4;
	int field3C8;
	int field3CC;
	int field3D0;
	int field3D4;
	int field3D8;
	int field3DC;
	int field3E0;
	int field3E4;
	int field3E8;
	int field3EC;
	int field3F0;
	int field3F4;
	int field3F8;
	int field3FC;
	int field400;
	int field404;
	int field408;
	int field40C;
	int field410;
	int field414;
	int field418;
	int field41C;
	int field420;
	int field424;
	int field428;
	int field42C;
	int field430;
	int field434;
	int field438;
	int field43C;
	int field440;
	int field444;
	int field448;
	int field44C;
	int field450;
	int field454;
	int field458;
	int field45C;
	int field460;
	int field464;
	int field468;
	int field46C;
	int field470;
	int field474;
	int field478;
	int field47C;
	int field480;
	int field484;
	int field488;
	int field48C;
	int field490;
	int field494;
	int field498;
	int field49C;
	int field4A0;
	int field4A4;
	int field4A8;
	int field4AC;
	int field4B0;
	int field4B4;
	int field4B8;
	int field4BC;
	int field4C0;
	int field4C4;
	int field4C8;
	int field4CC;
	int field4D0;
	int field4D4;
	int field4D8;
	int field4DC;
	int field4E0;
	int field4E4;
	int field4E8;
	int field4EC;
	int field4F0;
	int field4F4;
	int field4F8;
	int field4FC;
	int field500;
	int field504;
	int field508;
	int field50C;
	int field510;
	int field514;
	int field518;
	int field51C;
	int field520;
	int field524;
	int field528;
	int field52C;
	int field530;
	int field534;
	int field538;
	int field53C;
	int field540;
	int field544;
	int field548;
	int field54C;
	int field550;
	int field554;
	int field558;
	int field55C;
	int field560;
	int field564;
	int field568;
	int field56C;
	int field570;
	int field574;
	int field578;
	int field57C;
	int field580;
	int field584;
	int field588;
	int field58C;
	int field590;
	int field594;
	int field598;
	int field59C;
	int field5A0;
	int field5A4;
	int field5A8;
	int field5AC;
	int field5B0;
	int field5B4;
	int field5B8;
	int field5BC;
	int field5C0;
	int field5C4;
	int field5C8;
	int field5CC;
	int field5D0;
	int field5D4;
	int field5D8;
	int field5DC;
	int field5E0;
	int field5E4;
	int field5E8;
	int field5EC;
	CRITICAL_SECTION lock5F0;
	TSLinkedList<void*> field608;
	int field614;
	int field618;
	int field61C;
	int field620;
	int field624;
	int field628;
	CRITICAL_SECTION field62C;
	TSLinkedList<void*> field644;
	int field650;
	int field654;
	int field658;
	int field65C;
	int field660;
	CDataStoreRecycler recycler;

	static NetProvider* instance();
};
