#pragma once

#include <windef.h>
#include "wc3/refcounter.hpp"

class CEvent: public TRefCnt {
public:
	int id;
	void* param;
};

class CObserver: public TRefCnt {
public:
	struct _VMT: TRefCnt::_VMT {
		void (__thiscall *connect)(CObserver *self, int event_id, int as_event_id, CObserver *listener);
		int (__thiscall *notify)(CObserver *self, CEvent *event);
		BOOL (__thiscall *emit)(CObserver *self, CEvent *event);
		BOOL (__thiscall *emit_as)(CObserver *self, int as_event_id, CEvent *event);
	};

	struct _Registry
	{
		unsigned char field00;
		unsigned char field01;
		unsigned short listeners_count_;
		void *EventRegList;
	};

	_Registry* _registry;
public:
	void connect(int event_id, int as_event_id, CObserver *listener);
	BOOL notify(CEvent *event);
	BOOL emit(CEvent *event);
	BOOL emit_as(int as_event_id, CEvent *event);
};
