#pragma once

#include <windef.h>
#include "wc3/linkedlist.hpp"
#include "wc3/unit.hpp"

template<typename T>
class CNormalLinkedList {
public:

	struct NormalLinkedNode {
		NormalLinkedNode* previous;
		NormalLinkedNode* next;
		T value;
	};

	int field04;
	NormalLinkedNode *last;
	NormalLinkedNode *first;
	int count;
};

class CUnitSet {
public:
	struct VMT {
		void (__thiscall *operator_delete)(CUnitSet* self, bool free_memory);
		BOOL (__thiscall *add)(CUnitSet* self, CUnit* unit, BOOL force, BOOL a3);
		void (__thiscall *remove)(CUnitSet* self, CUnit* unit);
		void (__thiscall *clear)(CUnitSet* self);
	};

	void* vtable;
	CNormalLinkedList<CUnit*> items;
};

class CSelectionWar3: CUnitSet {
public:
	
	struct VMT: CUnitSet::VMT {
		void (__thiscall *debug_print)(CSelectionWar3* self, int log_handle);
	};

    CUnitSet sets1[10];
    CUnitSet sets2[10];
    CUnit *Leader;
    CSelectable *Selectable;
    DWORD PlayerId;
    CNormalLinkedList<CUnitSet> SyncSubGroups;
    CUnitSet *Leaders;
    CUnitSet DeltaSelection;
    DWORD AsyncLeader;
    DWORD LeaderType;
    CUnit *LocalLeader;
    CSelectable *LocalSelectable;
    CUnitSet AsyncSelection_;
    CNormalLinkedList<CUnitSet> AsyncSubGroups;
    CUnitSet *async_subgroup;
};
