#pragma once

#include <windef.h>

enum class Wc3PropSlot {
	EVENT_CONTEXT_HANDLE,
	_1,
	_2,
	_3,
	_4,
	JASS_ENVIRONMENT,
	_6,
	_7,
	_8,
	_9,
	_10,
	_11,
	_12,
	SYNCHRONOUS_DATA,
	NET_PROVIDER,
	_15,
	_16,
	_17,
};

const int WC3_PROPS_COUNT = 18;

extern DWORD* gvar_wc3_props_tls;
typedef void* TWc3Props[WC3_PROPS_COUNT];
extern TWc3Props** gvar_wc3_props;

void* get_wc3_prop(Wc3PropSlot slot);
