#include "wc3/gui.hpp"

#include "wc3/game_base.hpp"

void CSimpleMessageFrame::print(const char* message, DWORD color, float duration, bool permanent) {
	static_cast<_VMT*>(_vtable)->print(this, message, &color, duration, permanent);
}

static uintptr_t CSimpleTop_Instance_offset = get_offset(
	"CSimpleTop::Instance",
	{
		{GameVersion::v1_26a, 0xACE758},
		{GameVersion::v1_27a, 0xBBA0D0},
	}
);
CSimpleTop** CSimpleTop_Instance = (CSimpleTop**)(get_game_base() + CSimpleTop_Instance_offset);

CSimpleTop* CSimpleTop::instance() {
	return *CSimpleTop_Instance;
}

typedef CObserver* (* TCInputObserver_GetInstance)();

static uintptr_t CInputObserver_GetInstance_offset = get_offset(
	"CInputObserver::GetInstance",
	{
		{GameVersion::v1_26a, 0x62C090},
		{GameVersion::v1_27a, 0x058990},
	}
);
static TCInputObserver_GetInstance _CInputObserver_GetInstance = (TCInputObserver_GetInstance)(get_game_base() + CInputObserver_GetInstance_offset);

CObserver* get_layer_input_observer() {
	return _CInputObserver_GetInstance();
}