#include "wc3/instance_table.hpp"

#include "wc3/game_base.hpp"

static uintptr_t TInstanceIdTableLock_acquire_offset = get_offset("TInstanceIdTableLock::acquire", {
	{GameVersion::v1_26a, 0x6D9820},
	{GameVersion::v1_27a, 0x157840},
});
TInstanceIdTableLockFunction TInstanceIdTableLock_acquire = (TInstanceIdTableLockFunction)(get_game_base() + TInstanceIdTableLock_acquire_offset);

static uintptr_t TInstanceIdTableLock_release_offset = get_offset("TInstanceIdTableLock::release", {
	{GameVersion::v1_26a, 0x6D8950},
	{GameVersion::v1_27a, 0x158460},
});
TInstanceIdTableLockFunction TInstanceIdTableLock_release = (TInstanceIdTableLockFunction)(get_game_base() + TInstanceIdTableLock_release_offset);
