#include "wc3/net_session.hpp"

#include <cstdlib>

CPlayer* CPlayers::get(int player_id) {
	TSGrowableArray<CPlayer*>* items = player_id & 0x80000000 ? &lobby_players : &game_players;
	int index = player_id & 0x7FFFFFFF;
	return index < items->size() ? (*items)[index] : nullptr;
}

int CPlayers::get_start_loc_(int player_id) {
	if (player_id == -2) {
		return -1;
	}
	else {
		CPlayer* player = get(player_id);
		return player ? player->start_loc : 0;
	}
}
