#include "wc3/refcounter.hpp"

void TRefCnt::free() {
    static_cast<_VMT*>(_vtable)->free(this);
}

void TRefCnt::increment_references() {
    ++_references;
}

void TRefCnt::decrement_references() {
    --_references;
    if (!_references) {
        free();
    }
}
